Redmine 2.1 Issues - 404. Trouble

Added by Arthur Morosov about 5 years ago

Hello, guys!

I have a problem. Clean installation (redmine).

I create empty project. I create issue. I try to view this issue, but get 404 error only.

Any ideas?

Production log:

Started GET "issues/1" for 10.110.8.123 at 2012-09-27 14:16:50: +0000
Processing by IssuesController#show as HTML

Parameters: {"id"=>"1"}
Current user: admin (id=1)
Rendered issues/_action_menu.html.erb (3.8 ms)
Rendered plugins/redmine_code_review/app/views/code_review/_issues_show_details_bottom.html.erb (1.0 ms)
Rendered plugins/redmine_release_notes/app/views/hooks/release_notes/_view_issues_show_description_bottom.html.erb (1.0 ms)

bla-bla-bla

Rendered issues/show.html.erb within layouts/base (62.2 ms)
Missing template, responding with 404

Configuration

Environment:
Redmine version 2.1.0.stable
Ruby version 1.9.3 (x86_64-linux)
Rails version 3.2.8
Environment production
Database adapter Mysql2
Redmine plugins:
latest_issues 0.0.1
redmine_bitbucketgit_hook 0.0.1
redmine_code_review 0.6.0
redmine_graphs 0.1.0
redmine_hudson 1.0.8
redmine_issue_templates 0.0.3
redmine_knowledgebase 2.1.1
redmine_release_notes 1.2.0

Replies (5)

RE: Redmine 2.1 Issues - 404. Trouble - Added by Kris Lou about 5 years ago

Redmine_issue_templates is not yet compatible with 2.1.x, but it is with 2.0.3. I'd remove all plugins and add them one at a time. (reporting back here would help for other people in finding compatibility).

RE: Redmine 2.1 Issues - 404. Trouble - Added by Isaac Avery over 4 years ago

I had the same issue with Redmine 2.3.0.devel

I took Kris' advice and discovered that the error was fixed by removing the "redmine-graphs-plugin" plugin and restarting redmine. It may be a compatibility issue with the latest Redmine. Just thought I would pass that on in case anyone else has the same conflict.

RE: Redmine 2.1 Issues - 404. Trouble - Added by John Digital almost 4 years ago

Hello,

I have more or less the same problem when log as administrator and try to go on Setting in a projetc where the redmine_issue_templates was installed:

Environment:
Redmine version 2.3.1.stable
Ruby version 1.9.3 (x86_64-linux)
Rails version 3.2.13
Environment production
Database adapter Mysql2
Redmine plugins:
extended_fields 0.2.2
redmine_issue_templates 0.0.5

Is there any work arround?
Thank you

RE: Redmine 2.1 Issues - 404. Trouble - Added by Cédric PERRAULT over 3 years ago

I've the same problem when I install redmine-graphs-plugin.

I try to make a db:migrate to sovle this without results.

RE: Redmine 2.1 Issues - 404. Trouble - Added by Michael Robson about 2 years ago

I just stumbled across this thread with the same issue and I wanted to add my fix in case it helps anyone in the future:
I had to rename the plugin directory from redmine-graphs-plugin to redmine_graphs.
Re-running the migrate command and restarting redmine fixed my issue.

(1-5/5)